Holger's Java API

## com.antelmann.db
Interface DBConfigListener

All Known Implementing Classes:
  SQLEntryClassMapper

    public interface DBConfigListener

listens to events that change the configuration of the database

Since:
  31.08.2013, 02:49:17
Author:
  holger

Method Summary
`void` `availableStoresChanged(Database<?> db)` called when the availability of class store changes
`void` `currentDBUserChanged(Database<?> db)` called upon `Database.setCurrentUser(User)`

Method Detail

### currentDBUserChanged

    void currentDBUserChanged(Database<?> db)

  called upon `Database.setCurrentUser(User)`

  Parameters:
    `db` - the database on which the change occurred

### availableStoresChanged

    void availableStoresChanged(Database<?> db)

  called when the availability of class store changes

  Parameters:
    `db` - the database on which the change occurred
  See Also:
    `Database.getAvailableClassStores()`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads